<?
//로그인확인
include_once $_SERVER[DOCUMENT_ROOT] . "/module/member/auth.php";

//DB연결
$dblink = SetConn($_conf_db["main_db"]);

//$arrList = getMyReviewList($_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["ID"], $scale, mysql_escape_string($_REQUEST[offset]));
?>
<script language="javascript">
	function deleteOneToOne(idx){
		var cfm = false;
		cfm = confirm("이 상품평을 삭제 하시겠습니까?");
		if(cfm==true){
			new Ajax.Request('/module/shop/review/review_evn.php',
			{
				method:'post',
				parameters: {idx: idx, evnMode: 'deleteAjax'},
				asynchronous: this.asynchronous,
				encoding: 'utf-8',
				contentType: 'application/x-www-form-urlencoded',

				onSuccess: function(transport){
					var response = transport.responseText || "응답된 내역이 없습니다."; 
					if(response=="true"){
						alert("삭제 되었습니다.");
						document.location.href="/shop.php?goPage=MyReview";
					}else{
						alert("삭제에 실패 하였습니다.");
					}
				},
				
				onFailure: function(){ 
					alert('AJAX 데이터 응답중 오류가 발생하였습니다.') 
				}   
			});
		}
	}
</script>
		<div class="sub-title">			
			<h2>마이페이지</h2>
		</div>
		<div class="real-cont">
			<?	$boardid = "review"; $_GET[sw]="id"; $_GET[sk]=$_SESSION[$_SITE["DOMAIN"]]["MEMBER"]["ID"];	include $_SITE[BOARD_PATH]."/board.php";	?>
			<!--// content --
			<div class="OrderTable">
			 <table>
				<colgroup>
					<col width="10%" />
					<col width="*" />
					<col width="30%" />
					<col width="15%" />
					<col width="15%" />
					<col width="10%" />
				</colgroup>
				<tr>
					<th colspan="2">상품명</th>
					<th>제목</th>
					<th>평점</th>
					<th>작성일</th>
					<th>삭제</th>
				</tr>
				<?
				if($arrList["total"]>0){
					for($i=0;$i<$arrList["list"]["total"];$i++){
						$arrInfo = getGoodInfo(mysql_escape_string($arrList["list"][$i][etc_1]));;
				?>
				<tr>
					<td><a href="/shop.php?goPage=GoodDetail&idx=<?=$arrList["list"][$i][etc_1]?>"><img src="/uploaded/shop_good/<?=$arrInfo["list"][0][idx]?>/<?=$arrInfo["list"][0][image_l]?>" width="80" height="80" alt="" /></a></td>
					<td class="space-left">

						<p class="prd_tit"><a href="/shop.php?goPage=GoodDetail&idx=<?=$arrList["list"][$i][etc_1]?>"><?=stripslashes($arrInfo["list"][0][g_name])?></a></p>
						<!--<p class="prd_op">옵션1</p>-->
					<!--
					</td>
					<td><a href="/shop.php?goPage=MyReviewView&idx=<?=$arrList["list"][$i][idx]?>" onFocus="this.blur()" ><?=stripslashes($arrList["list"][$i][subject])?></a></td>
					<td><img src="/images/shop/star.gif" alt=""/><img src="/images/shop/star.gif" alt=""/><img src="/images/shop/star.gif" alt=""/><img src="/images/shop/star.gif" alt=""/><img src="/images/shop/star.gif" alt=""/></td>
					<td><?=substr($arrList["list"][$i][wdate],0,10)?></td>
					<td>
						<p><a href="javascript:deleteOneToOne('<?=$arrList["list"][0][idx]?>');"><img src="/images/shop/btn_delete2.gif" alt="삭제하기" /></a></p>
					</td>
				</tr>
				<?	
					}
				?>
				<?
				}else{
				?>
				<tr height="100">
					<td colspan="6" align="center">작성된 이용후기가 없습니다.</td>
				</tr>
				<?}?>
			  </table>
			</div>

			<div class="paginate">  
					<?=pageNavigation($arrList["total"],$scale,$pagescale,$_GET[offset],"sw=".$_REQUEST[sw]."&sk=".$_REQUEST[sk]."&s_date=".$_REQUEST[s_date]."&e_date=".$_REQUEST[e_date]."&order_state=".$_REQUEST[order_state])?>
				</div> 
				<!-- content //-->
		</div>
	</div>

<?
//DB해제
SetDisConn($dblink);
?>